Skip to content

Get a crew assignment

GET
/crew-assignments/{id}
curl --request GET \
--url https://app.buildworkpro.com/api/v1/crew-assignments/1 \
--header 'Authorization: Bearer <token>'
id
required
integer

Crew assignment

Media type application/json
object
data
required
object
id
required
integer
projectId
required
integer
userId
required
integer
date
required
string
startTime
required
string | null
note
required
string | null
createdBy
required
integer | null
createdAt
required
Any of:
string format: date-time
updatedAt
required
Any of:
string format: date-time
projectName
required
string | null
projectNumber
required
string | null
userFirstName
required
string | null
userLastName
required
string | null
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer
Example generated
{
"data": {
"id": 1,
"projectId": 1,
"userId": 1,
"date": "example",
"startTime": "example",
"note": "example",
"createdBy": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z",
"projectName": "example",
"projectNumber": "example",
"userFirstName": "example",
"userLastName": "example"
},
"meta": {
"request_id": "example",
"pagination": {
"cursor": "example",
"has_more": true,
"count": 1
}
}
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}